Process::Status - Crystal 1.11.2

# class Process::Status

- Process::Status
- Reference
- Object

##
Overview

The status of a terminated process. Returned by `Process#wait`.

##
Defined in:

process/status.cr

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #exit_code : Int32

  If `#normal_exit?` is `true`, returns the exit code of the process.

- #exit_reason : ExitReason

  Returns a platform-independent reason why the process terminated.

- #exit_signal : Signal

  If `#signal_exit?` is `true`, returns the Signal the process received and didn't handle.

- #exit_status : Int32

  Platform-specific exit status code, which usually contains either the exit code or a termination signal.

- #hash(hasher)

  See `Object#hash(hasher)`

- #inspect(io : IO) : Nil

  Prints a textual representation of the process status to io.

- #normal_exit? : Bool

  Returns `true` if the process terminated normally.

- #signal_exit? : Bool

  Returns `true` if the process was terminated by a signal.

- #success? : Bool

  Returns `true` if the process exited normally with an exit code of `0`.

- #to_s(io : IO) : Nil

  Prints a textual representation of the process status to io.

- #to_s : String

  Returns a textual representation of the process status.

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def exit_code : Int32 #

If `#normal_exit?` is `true`, returns the exit code of the process.

def exit_reason : ExitReason #

Returns a platform-independent reason why the process terminated.

def exit_signal : Signal #

If `#signal_exit?` is `true`, returns the Signal the process received and didn't handle. Will raise if `#signal_exit?` is `false`.

Available only on Unix-like operating systems.

NOTE `#exit_reason` is preferred over this method as a portable alternative which also works on Windows.

def exit_status : Int32 #

Platform-specific exit status code, which usually contains either the exit code or a termination signal. The other `Process::Status` methods extract the values from `#exit_status`.

def hash(hasher) #
Description copied from class Reference

See `Object#hash(hasher)`

def inspect(io : IO) : Nil #

Prints a textual representation of the process status to io.

The result is equivalent to `#to_s`, but prefixed by the type name and delimited by square brackets: `Process::Status[0]`, `Process::Status[1]`, `Process::Status[Signal::HUP]`.

def normal_exit? : Bool #

Returns `true` if the process terminated normally.

def signal_exit? : Bool #

Returns `true` if the process was terminated by a signal.

def success? : Bool #

Returns `true` if the process exited normally with an exit code of `0`.

def to_s(io : IO) : Nil #

Prints a textual representation of the process status to io.

A normal exit status prints the numerical value (`0`, `1` etc). A signal exit status prints the name of the `Signal` member (`HUP`, `INT`, etc.).

def to_s : String #

Returns a textual representation of the process status.

A normal exit status prints the numerical value (`0`, `1` etc). A signal exit status prints the name of the `Signal` member (`HUP`, `INT`, etc.).